<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ghy.order.mapper.OrderAddRecordMapper">

    <resultMap type="OrderAddRecord" id="OrderAddRecordResult">
        <result property="id"    column="id"    />
        <result property="orderId"    column="order_id"    />
        <result property="workerId"    column="worker_id"    />
        <result property="addMoney"    column="add_money"    />
        <result property="createTime"    column="create_time"    />
        <result property="status"    column="status"    />
        <result property="createBy"    column="create_by"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectOrderAddRecordVo">
        select id, order_id, worker_id, add_money, create_time, status, create_by, update_by, update_time, remark from order_add_record
    </sql>

    <select id="selectOrderAddRecordList" parameterType="OrderAddRecord" resultMap="OrderAddRecordResult">
        <include refid="selectOrderAddRecordVo"/>
        <where>
            <if test="orderId != null "> and order_id = #{orderId}</if>
            <if test="workerId != null "> and worker_id = #{workerId}</if>
            <if test="addMoney != null "> and add_money = #{addMoney}</if>
            <if test="status != null  and status != ''"> and status = #{status}</if>
        </where>
    </select>

    <select id="selectOrderAddRecordById" parameterType="Long" resultMap="OrderAddRecordResult">
        <include refid="selectOrderAddRecordVo"/>
        where id = #{id}
    </select>

    <insert id="insertOrderAddRecord" parameterType="OrderAddRecord" useGeneratedKeys="true" keyProperty="id">
        insert into order_add_record
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="orderId != null">order_id,</if>
            <if test="workerId != null">worker_id,</if>
            <if test="addMoney != null">add_money,</if>
            <if test="createTime != null">create_time,</if>
            <if test="status != null and status != ''">status,</if>
            <if test="createBy != null">create_by,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="orderId != null">#{orderId},</if>
            <if test="workerId != null">#{workerId},</if>
            <if test="addMoney != null">#{addMoney},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="status != null and status != ''">#{status},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
        </trim>
    </insert>

    <update id="updateOrderAddRecord" parameterType="OrderAddRecord">
        update order_add_record
        <trim prefix="SET" suffixOverrides=",">
            <if test="orderId != null">order_id = #{orderId},</if>
            <if test="workerId != null">worker_id = #{workerId},</if>
            <if test="addMoney != null">add_money = #{addMoney},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="status != null and status != ''">status = #{status},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteOrderAddRecordById" parameterType="Long">
        delete from order_add_record where id = #{id}
    </delete>

    <delete id="deleteOrderAddRecordByIds" parameterType="String">
        delete from order_add_record where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>

</mapper>